用户
获取用户帖子
GET /v1/users/{screen_name}/tweets reads 2 额度
某账号的近期帖子,最新在前。
查询参数
| 查询参数 | 类型 | 含义 |
|---|---|---|
replies | bool = false | 包含回复 |
count | int 1–100 = 40 | 请求的页大小;X 仅作参考 |
cursor | string | 来自上一页的 next_cursor |
响应
该账号、其帖子,以及下一页的游标(到底时为 null)。 逐字段说明: Tweet(读取).
状态: 200, 404, 429, 502
请求
curl https://api.xsignalfeed.com/v1/users/elonmusk/tweets?count=20&replies=true \ -H "Authorization: Bearer xsf_your_key"
响应 · 200 / 404
{
"user": {
"id": "44196397",
"screen_name": "elonmusk"
},
"tweets": [
{
"id": 2097879002992070835,
"created_ms": 1789012345678,
"user_id": 44196397,
"user": "elonmusk",
"name": "Elon Musk",
"text": "…",
"lang": "en",
"reply_to": null,
"reply_to_status_id": null,
"reply_to_user_id": null,
"conversation_id": "2097879002992070835",
"is_rt": false,
"rt_of": null,
"is_quote": false,
"quoted": null,
"media": [],
"media_items": [],
"urls": [],
"views": 1204331,
"counts": {
"reply": 812,
"rt": 1930,
"like": 14022,
"quote": 210,
"bookmark": 388
}
}
],
"next_cursor": "DAAHCgABHSMQD72__-oL"
}